"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importStar(require("react"));
const classnames_1 = __importDefault(require("classnames"));
const base_ui_temp_surfaces_card_1 = require("@teambit/base-ui-temp.surfaces.card");
const base_ui_temp_text_muted_text_1 = require("@teambit/base-ui-temp.text.muted-text");
const base_ui_temp_elements_separator_1 = require("@teambit/base-ui-temp.elements.separator");
const notification_context_1 = require("../notification-context");
const notification_module_scss_1 = __importDefault(require("./notification.module.scss"));
const staged_components_workspace_components_time_ago_1 = require("@teambit/staged-components.workspace-components.time-ago");
const DISMISS_TIME = +notification_module_scss_1.default.dismissTime;
function Notification({ entry }) {
    const [isDismissing, setDismissing] = react_1.useState(false);
    const notificationApi = react_1.useContext(notification_context_1.NotificationContext);
    const { level, time, message, id } = entry;
    const handleDismiss = react_1.useCallback(() => {
        setDismissing(true);
        setTimeout(() => {
            notificationApi.dismiss(id);
        }, DISMISS_TIME);
    }, [id]);
    return (react_1.default.createElement(base_ui_temp_surfaces_card_1.Card, { className: classnames_1.default(notification_module_scss_1.default.notification, isDismissing && notification_module_scss_1.default.dismissing) },
        react_1.default.createElement("button", { onClick: isDismissing ? undefined : handleDismiss }, "x"),
        react_1.default.createElement("div", null, level),
        react_1.default.createElement(base_ui_temp_elements_separator_1.Separator, { className: notification_module_scss_1.default.separator }),
        message,
        time && (react_1.default.createElement("div", { className: classnames_1.default(notification_module_scss_1.default.timestamp, base_ui_temp_text_muted_text_1.mutedText) },
            react_1.default.createElement(staged_components_workspace_components_time_ago_1.TimeAgo, { date: time })))));
}
exports.Notification = Notification;
//# sourceMappingURL=notification.js.map